Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#9113 closed defect (duplicate)

sage-4.4.3.alpha1 -lpng blocker issue

Reported by: was Owned by: GeorgSWeber
Priority: blocker Milestone: sage-duplicate/invalid/wontfix
Component: build Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

On OS X we have:

running build_ext
building 'sage.rings.polynomial.pbori' extension
g++ -L/Users/was/build/sage-4.4.3.alpha1/local/lib -bundle -undefined dynamic_lookup build/temp.macosx-10.6-i386-2.6/sage/rings/polynomial/pbori.o -L/Users/was/build/sage-4.4.3.alpha1/local//lib -lcsage -lpolybori -lpboriCudd -lgroebner -lgd -lpng -lm4ri -lstdc++ -lntl -o build/lib.macosx-10.6-i386-2.6/sage/rings/polynomial/pbori.so
ld: library not found for -lpng
collect2: ld returned 1 exit status
error: command 'g++' failed with exit status 1
sage: There was an error installing modified sage library code.


real    0m1.706s
user    0m1.187s
sys     0m0.503s
make: *** [testlong] Error 1

This was caused by some patch to get Sage to build on Cygwin.

Change History (3)

comment:1 Changed 11 years ago by mhansen

This is due to #8844. We should replace the include of "-lpng" with a uname_specific command to use "png12" where needed.

comment:2 Changed 11 years ago by was

  • Resolution set to duplicate
  • Status changed from new to closed

I made a dupe of this: #9116

comment:3 Changed 11 years ago by mvngu

  • Milestone changed from sage-4.4.3 to sage-duplicate/invalid/wontfix
Note: See TracTickets for help on using tickets.